# Akka Actors Demo

An experiment to see how the actor model can be used to synchronize / encapsulate mutable state without the use of locks.

## Usage
``` bash
./ActorsDemo.sc
```

Sample output: 
```
22:11:47.473 [TestActors-akka.actor.default-dispatcher-3] INFO ammonite.$file.ActorDemo$RootActor$ - --- Beginning ---

22:11:47.475 [TestActors-akka.actor.default-dispatcher-6] INFO ammonite.$file.ActorDemo$CounterActor$ - Value of counter is 5

22:11:47.475 [TestActors-akka.actor.default-dispatcher-3] INFO ammonite.$file.ActorDemo$RootActor$ - Received message Reply(5)
```